commit:     4d419b5450b5219b78b4b4dd163bbfe0f8abea97
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Sun Apr 16 05:01:18 2023 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sun Apr 16 05:01:18 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4d419b54

gui-apps/hyprland-plugins: new package, add 0.24.1

Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 gui-apps/hyprland-plugins/Manifest                 |  3 +
 .../hyprland-plugins-0.24.1.ebuild                 | 79 ++++++++++++++++++++++
 gui-apps/hyprland-plugins/metadata.xml             | 20 ++++++
 3 files changed, 102 insertions(+)

diff --git a/gui-apps/hyprland-plugins/Manifest 
b/gui-apps/hyprland-plugins/Manifest
new file mode 100644
index 000000000..b3cfd0bfd
--- /dev/null
+++ b/gui-apps/hyprland-plugins/Manifest
@@ -0,0 +1,3 @@
+DIST hyprland-plugins-0.24.1-hyprsrc.gh.tar.gz 1502909 BLAKE2B 
ddc2ed026c921061427799836a957efb35fb68f3628f0cf5cb3d4d3ec2c876f62275bf8c580cbb8fb480b0b0fc6f1bff690da3ce0459c2af170e4e0add8e898c
 SHA512 
d6d232f597a5790818345b43c329c4fa225a0d2f5e5bbddef88fa8ca59a6ff1d867dfea208ea215dbd37049c301a45aa292ff133c6fdf5e4b73918396c57f6f2
+DIST hyprland-plugins-0.24.1-split-monitor-workspaces.gh.tar.gz 3458 BLAKE2B 
86365038b1be0129b96032d7e418057143bfb70bf17ce1d936a7dd5a7bb5678b345a5c89ad6e03fc2bd993e1af32390b8fa4bb6b817869e816ea7f7ba003a44d
 SHA512 
86391bbe282d9c2e26d4f0acea90a269fbe4203517bd625d05ebef895347515f7485cc79ca669c6398442a490dc4369d468cd36fc1d430a687bce6baf569a1b0
+DIST hyprland-plugins-0.24.1.gh.tar.gz 8996 BLAKE2B 
bd8eeeb269f886e188dda003fa070da1d94649cce8d9c33cd4636b9ad5c068ce9794e6335000889bb0a964e8f632122c3ababeda45b2c0a90ac4895670420cbe
 SHA512 
9e5091646f8bd55ffa9e1fec496aacdf325479569a9842fe5066471e45af656d976b35818bc86db2b488eb1dfab132ee9eba1b2057066e1bd96da7223c21465c

diff --git a/gui-apps/hyprland-plugins/hyprland-plugins-0.24.1.ebuild 
b/gui-apps/hyprland-plugins/hyprland-plugins-0.24.1.ebuild
new file mode 100644
index 000000000..9c5189a1f
--- /dev/null
+++ b/gui-apps/hyprland-plugins/hyprland-plugins-0.24.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+COMMIT=bb1437add2df7f76147f7beb430365637fc2c35e
+SPLITCOMMIT=feb6ab9a4929a92d41c724f6d16e9d351b12de39
+DESCRIPTION="A blazing fast wayland wallpaper utility"
+HOMEPAGE="https://github.com/hyprwm/hyprpaper";
+SRC_URI="https://github.com/hyprwm/${PN}/archive/${COMMIT}.tar.gz -> 
${P}.gh.tar.gz
+       
https://github.com/hyprwm/Hyprland/releases/download/v${PV}/source-v${PV}.tar.gz
 \
+       -> ${P}-hyprsrc.gh.tar.gz
+       
https://github.com/Duckonaut/split-monitor-workspaces/archive/${SPLITCOMMIT}.tar.gz
 \
+       -> ${P}-split-monitor-workspaces.gh.tar.gz
+"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+borders-plus-plus csgo-vulkan-fix +hyprbars split-monitor-workspaces"
+REQUIRED_USE="|| ( borders-plus-plus csgo-vulkan-fix hyprbars 
split-monitor-workspaces )"
+
+RDEPEND="gui-wm/hyprland"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       ~gui-wm/hyprland-${PV}
+       split-monitor-workspaces? ( gui-libs/wlroots[X] )
+       x11-libs/libdrm
+       x11-libs/pixman
+"
+
+src_compile() {
+       emake -C "${WORKDIR}/hyprland-source" protocols
+       export HYPRLAND_HEADERS="${WORKDIR}/hyprland-source"
+
+       if use borders-plus-plus; then
+               emake -C "${S}/borders-plus-plus" all
+       fi
+
+       if use csgo-vulkan-fix; then
+               emake -C "${S}/csgo-vulkan-fix" all
+       fi
+
+       if use hyprbars; then
+               emake -C "${S}/hyprbars" all
+       fi
+
+       if use split-monitor-workspaces; then
+               emake -C "${WORKDIR}/split-monitor-workspaces-${SPLITCOMMIT}" 
split-monitor-workspaces.so
+       fi
+}
+
+src_install() {
+       insinto "/usr/share/hyprland/plugins"
+
+       if use borders-plus-plus; then
+               doins "${S}/borders-plus-plus/borders-plus-plus.so"
+       fi
+
+       if use csgo-vulkan-fix; then
+               doins "${S}/csgo-vulkan-fix/csgo-vulkan-fix.so"
+       fi
+
+       if use hyprbars; then
+               doins "${S}/hyprbars/hyprbars.so"
+       fi
+
+       if use split-monitor-workspaces; then
+               doins 
"${WORKDIR}/split-monitor-workspaces-${SPLITCOMMIT}/split-monitor-workspaces.so"
+               emake -C "${WORKDIR}/split-monitor-workspaces-${SPLITCOMMIT}" 
all
+       fi
+}
+
+pkg_postinst() {
+       einfo "Plugins are installed in /usr/share/hyprland/plugins"
+       einfo "To load them, refer to the official documentation"
+       einfo "https://wiki.hyprland.org/Plugins/Using-Plugins/";
+}

diff --git a/gui-apps/hyprland-plugins/metadata.xml 
b/gui-apps/hyprland-plugins/metadata.xml
new file mode 100644
index 000000000..9b6824459
--- /dev/null
+++ b/gui-apps/hyprland-plugins/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <name>Julien Roy</name>
+               <email>[email protected]</email>
+       </maintainer>
+       <upstream>
+               
<bugs-to>https://github.com/hyprwm/hyprland-plugins/issues</bugs-to>
+               
<changelog>https://github.com/hyprwm/hyprland-plugins/releases</changelog>
+               <remote-id type="github">hypr/hyprland-plugins</remote-id>
+               <remote-id type="github">hypr/Hyprland</remote-id>
+       </upstream>
+       <use>
+               <flag name="borders-plus-plus">adds one or two additional 
borders to windows</flag>
+               <flag name="csgo-vulkan-fix">fixes custom resolutions on CS:GO 
with -vulkan</flag>
+               <flag name="hyprbars">adds title bars to windows</flag>
+               <flag name="split-monitor-workspaces">A small Hyprland plugin 
to provide awesome-like workspace behavior</flag>
+       </use>
+</pkgmetadata>

Reply via email to